## fontforge 20161005~dfsg

=== debian/changelog ===
fontforge (1:20161005~dfsg-4+deb9u1) stretch-security; urgency=high

  * Import upstream patches fixing following CVE's
    CVE-2017-11577, CVE-2017-11576, CVE-2017-11575, CVE-2017-11574,
    CVE-2017-11572, CVE-2017-11571, CVE-2017-11569, CVE-2017-11568.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 12 Aug 2017 09:51:12 +0530

fontforge (1:20161005~dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * Replace libuninamelist0-dev with libuninamelist1-dev in the override
    section of d-shlibmove.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 12 Nov 2016 20:37:51 +0530

fontforge (1:20161005~dfsg-3) experimental; urgency=medium

  * Install pkg-config files for libfontforge-dev

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 22 Oct 2016 17:06:59 +0530

fontforge (1:20161005~dfsg-2) experimental; urgency=medium

  * Add libglib2.0-dev as build-depends to fontforge, this makes sure that
    libfontforge-dev gets libglib2.0-dev build dependency.
    Closes: bug#840417, Thanks to Vasudev Kamath.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 15 Oct 2016 12:05:27 +0530

fontforge (1:20161005~dfsg-1) experimental; urgency=medium

  * Import new upstream release.
  * debian/copyright:
    + Updated for new release.
  * Update libfontforge2.symbols file for new release.
  * Override libreadline7-dev with libreadline-dev for d-shlibs.
  * Drop embedded copies of Cantarrel and Inconsolata fonts and add
    recommends on the appropriate package for fontforge-common.

 -- Vasudev Kamath <vasudev@copyninja.info>  Mon, 10 Oct 2016 14:09:39 +0530

fontforge (1:20160404~dfsg-4) experimental; urgency=medium

  * debian/control:
    + fontforge-common: Bump fontforge version in Breaks and Replaces.
      Closes: bug#836989, Thanks to Andreas Beckmann.

 -- Vasudev Kamath <vasudev@copyninja.info>  Fri, 09 Sep 2016 22:57:16 +0530

fontforge (1:20160404~dfsg-3) experimental; urgency=medium

  * Move common files to fontforge-common package.
    + Install prefs and hotkeys file via fontforge-common
    + Install resources file which is needed by both fontforge-nox and
    fontforge-x.
  * Install MIME file for fontforge.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 13 Aug 2016 16:26:43 +0530

fontforge (1:20160404~dfsg-2) experimental; urgency=medium

  * Install hotkeys for fontforge-nox

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 06 Aug 2016 20:01:25 +0530

fontforge (1:20160404~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Hideki Yamane ]
  * Update copyright info: Rewrite using file format 1.0.

  [ Vasudev Kamath ]
  * Update git-buildpackage config: Filter *.orig files.
  * Drop patches set_fontforge_package_name gitignore.
  * Git-ignore quilt .pc dir.
  * Refresh fix-spelling-error patch.
  * Convert packaging to CDBS.
  * Enable copyright checking.
  * Update copyright info:
    + Improve coverage.
    + Drop duplicate license block.
    + Fix licensing of gkeysym.h and fontP.h.
    + Fix license of fontforgeexe/cv*.c to bsd-3-clause.
    + Add myself as copyright holder for Debian packagging.
    + Add wildcard catchall license block to handle files which does not
      have copyright information.
  * Track symbols file using pkg-kde-tools.
  * Fix path for man pages
  * Install gdraw related python files.
  * Use d-shlibs for libfontforge2 and libfontforge-dev install.
    + d-shlibs is added to BD.
    + Drop libfontforge2 and libfontforge-dev .install and .dirs files.
  * Install prefs and hotkeys with fontforge.
  * Install pixmaps for fontforge in fontforge-common.
  * Drop fontforge.menu file in favor of .desktop file.
  * Fix some lintian warnings.
  * Mark package compliant with Debian policy 3.9.8.
  * Fix the typo in Vcs-Git field.
  * Add myself to uploaders list.
  * Build-Depend on shared-mime-info and desktop-file-utils.
  * Invoke dh_python2 for python-fontforge.
    + Added explicit BD on python and dh-python as per python policy.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Modernize copyright-check routine.
    + Move catch-all license to header paragraph: Arguably reflects only
      effective license (not a granted license).
    + Drop Files paragraph for no longer included libtools files.
      Drop corresponding License paragraph.
    + Use separate License paragraph for BSD license with typo.
    + Wrap BSD licenses as 72 char.
    + Merge Files paragraphs identically licensed as BSD-3-clause.
    + Fix capitalization of upstream project name.
    + Repackage to avoid binary osx/win code, and minified javascript.
      Drop corresponding Files paragraphs.
    + Fix use single-word License shortname.
    + Fix revive likely proper license (included texts for files
      "licensed" by The Open Group lacking any licensing permissions).
    + Fix include license exceptions.
    + Fix remove Files paragraph for files with no copyright or license.
    + Fix properly mark licensing involving two AND'ed licenses as such.
    + Use License-Grant and License-Reference fields.
      Thanks to Ben Finney.
    + Merge Files paragraphs with identical License and License-Grant.
    + Fix include License paragraphs for Apache-2.0 and Expat.
    + Add comment on origin of a copyright holder.
    + Cover W3C-licensed test.
  * Update watch file:
    + Bump to file format 4.
    + Use github pattern from documentation.
    + Set repacksuffix.
    + Add usage comment.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Drop lintian overrides regarding minified javascript files:
    Obsoletes by repackaged source (and arguably wrong in any case).
  * Wrap and sort control and install files, with minimal whitespace.
  * Update long descriptions based on upstream README.
  * Update Vcs-* URLs:
    + Use https protocol.
    + Use cgit browser.
    + Fix path.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.

