=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

DEB_MAKE_FLAVORS = x nox
DEB_BUILDDIR = build
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/utils.mk

# (Re)create autotools
include /usr/share/cdbs/1/rules/autoreconf.mk
CDBS_BUILD_DEPENDS +=, gnulib, libltdl-dev, autoconf-archive
DEB_DH_AUTORECONF_ARGS += debian/autogen.sh
DEB_UPSTREAM_CRUFT_MOVE = m4/ax_check_compile_flag.m4 m4/ax_pthread.m4

stem = fontforge
major = 2
lib = lib$(stem)
libpkg =lib$(stem)$(major)
devpkg = lib$(stem)-dev

CDBS_BUILD_DEPENDS +=, autotools-dev, chrpath
CDBS_BUILD_DEPENDS +=, shared-mime-info, desktop-file-utils
CDBS_BUILD_DEPENDS +=, libreadline-dev, dh-python, python

export CONFIG_SHELL=/bin/bash
export DEB_BUILD_MAINT_OPTIONS := hardening=+all,-pie

dev-deps = cairo2 freetype6 gif jpeg pango1.0 png spiro tiff5
dev-deps += uninameslist xml2 xt glib2.0

CDBS_BUILD_DEPENDS +=, $(patsubst %,$(comma) lib%-dev,$(dev-deps))
CDBS_BUILD_DEPENDS +=, python, python-all-dev, uthash-dev
DEB_CONFIGURE_EXTRA_FLAGS = --prefix=/usr \
              --libdir=\$${prefix}/lib \
              --mandir=\$${prefix}/share/man \
              --with-regular-link \
              --enable-devicetables \
              --enable-type3 \
	      --with-freetype-src=$(CURDIR)/freetype \
	      --with-freetype-bytecode

DEB_CONFIGURE_FLAGS_nox = --without-x --disable-pyextension

# Track changes to copyright and licensing hints
#  * extract metadata from binary graphics files and fonts
#  * skip binary graphics files known to not contain metadata
DEB_COPYRIGHT_EXTRACT_EXTS = gif png jpeg ttf svg pdf pfb
DEB_COPYRIGHT_CHECK_IGNORE_EXTS = icns

DEB_DH_INSTALL_SOURCEDIR = debian/tmp/x
binary-install/fontforge-nox:: DEB_DH_INSTALL_SOURCEDIR = debian/tmp/nox

binary-install/python-fontforge::
	find debian/python-fontforge -name "*.la" -delete
	dh_python2 -ppython-fontforge

binary-install/fontforge-common::
	find debian/fontforge-common/ -name "*.ttf" -delete

binary-fixup/python-fontforge::
	chmod -x \
		debian/python-fontforge/usr/share/fontforge/python/gdraw/*.py

CDBS_BUILD_DEPENDS +=, d-shlibs
binary-post-install/$(libpkg) binary-post-install/$(devpkg):: debian/stamp-local-shlibs-$(lib)
debian/stamp-local-shlibs-$(lib): binary-install/$(libpkg) binary-install/$(devpkg)
	d-shlibmove --commit \
		--devunversioned \
		--exclude-la \
		--extralib debian/tmp/x/usr/lib/libgioftp.so \
		--extralib debian/tmp/x/usr/lib/libgunicode.so \
		--extralib debian/tmp/x/usr/lib/libgutils.so \
		--movedev "debian/tmp/x/usr/include/*" usr/include/ \
		--movedev "debian/tmp/x/usr/lib/pkgconfig/*.pc" usr/lib/pkgconfig \
		--override s/$(lib)$(major)-dev/$(lib)-dev/ \
		--override s/libpython2.7-1.0-dev/libpython-dev/ \
		--override s/libspiro0-dev/libspiro-dev/ \
		--override s/libuninameslist1-dev/libuninameslist-dev/ \
		--override s/libgif7-dev/libgif-dev/ \
		--override s/libreadline7-dev/libreadline-dev/ \
		--override s/libgunicode4-dev// \
		--override s/libgutils2-dev// \
		--override s/libgioftp2-dev// \
		debian/tmp/x/usr/lib/$(lib).so
	touch $@
clean::
	rm -f debian/stamp-local-shlibs-$(lib)

# track symbols using pkgkde-symbolshelper
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/symbolshelper.mk
CDBS_BUILD_DEPENDS +=, pkg-kde-tools
