## fontforge 20170731~dfsg

=== debian/changelog ===
fontforge (1:20170731~dfsg-1) unstable; urgency=high

  [upstream]
  * New release with number of adjustments and fixes.
    + Fixes multiple CVE's listed below.
     CVE-2017-11577, CVE-2017-11576, CVE-2017-11575, CVE-2017-11574,
     CVE-2017-11572, CVE-2017-11571, CVE-2017-11569, CVE-2017-11568.
     Closes: bug#869614. Thanks to Salvatore Bonaccorso.

  [ Vasudev Kamath ]
  * Add fontforge-doc package to fontforge source.
    Closes: bug#855710, bug#853040. Thanks to Hideki Yamane.
  * Simplify d-shlibs handling. Tighten to build-depend on recent d-hlibs.
  * debian/patches:
    + Drop patch 1001, merged upstream.
    + Refresh patch 2002 with new upstream files.
    + Add patch 2003 for removing SourceForge logo from documentation.
  * Update libfontforge2.symbols file for new release.
    There a lot of refactoring done by upstream without bumping major
    version.
  * Drop unused lintian-override from debian/source/lintian-override.
  * Drop wild card debian-old/* from debian/copyright. It is no longer
    available in upstream source.
  * Do not disable PIE.
    Closes: bug#865601. Thanks to Adrian Bunk.

  [ Jonas Smedegaard ]
  * Add myself as uploader.
  * Update watch file: Use substitution strings.
  * Drop superfluous dh_installdirs hint files.
  * Advertise DEP-3 format in patch headers.
  * Tighten lintian overrides regarding License-Reference.
  * Tighten lintian overrides regarding long code lines.
  * Add lintian override for obsolete-url-in-packaging false positive.
  * Drop obsolete maintainer script make-clean-tarball.
  * Avoid mentioning Debian in doc-base title.
  * Update homepage.
  * Modernize Vcs-* fields:
    + Consistently use git (not cgit) in path.
    + Consistently include .git suffix in path.
  * Update copyright info:
    + Extend coverage for myself. Relince packaging to GPL-3+.
    + Merge same-licensed Files sections.
    + List graphicore code, licensed as BSD-2-clause.
    + Fix drop duplicate entries.
    + Fix list fontforge/fvimportbdf.c (same as gdraw/fontP.h) as
      licensed BSD-3-clause and X11~TOG (not BSD-3-clause).
    + Fix list files licensed BSD-3-clause in initial wildcard section.
    + Fix list files by a non-main copyright holder licensed GPL-3+.
    + Fix list files by a non-main copyright holders licensed GPL-3+
      with font exception.
    + Fix list font files.
    + Fix list files licensed GPL-2+.
    + Fix add License section for LGPL-2.1+.
    + Exclude non-DFSG free fonts from repackaged tarball.
  * Update package relations:
    + Stop conflict with defoma: Dropped before oldstable.
  * Drop breaks+replaces unneeded since oldstable.
  * Generalize and extend patch 2003 to cover more potential breaches.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 24 Sep 2017 13:21:28 +0200
