=== debian/control ===
--- 
+++ 
@@ -7,16 +7,13 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Davide Viti <zinosat@tiscali.it>,
  Hideki Yamane <henrich@debian.org>,
+ Jonas Smedegaard <dr@jones.dk>,
  Rogério Brito <rbrito@ime.usp.br>,
  Vasudev Kamath <vasudev@copyninja.info>
 XS-Python-Version: all
-Build-Depends: cdbs (>= 0.4.147~),
+Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
- licensecheck,
- libregexp-assemble-perl,
- libimage-exiftool-perl,
- libfont-ttf-perl,
  dh-autoreconf,
  gnulib,
  libltdl-dev,
@@ -42,12 +39,12 @@
  python,
  python-all-dev,
  uthash-dev,
- d-shlibs,
+ d-shlibs (>= 0.78~),
  pkg-kde-tools
-Standards-Version: 3.9.8
-Homepage: http://fontforge.sourceforge.net/
-Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fontforge/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-fonts/fontforge.git
+Standards-Version: 4.1.0
+Homepage: https://fontforge.github.io/en-US/
+Vcs-Git: https://anonscm.debian.org/git/pkg-fonts/fontforge.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-fonts/fontforge.git
 
 Package: fontforge
 Architecture: any
@@ -59,7 +56,6 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Conflicts:
- defoma,
  fontforge-nox
 Suggests:
  autotrace,
@@ -144,12 +140,8 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Breaks:
- fontforge (<= 0.0.20090224),
- libfontforge-dev (<< 0.0.20120101+git-3),
  libfontforge1
 Replaces:
- fontforge (<= 0.0.20090224),
- libfontforge-dev (<< 0.0.20120101+git-3),
  libfontforge1
 Description: font editor - runtime library
  FontForge is a font editor.
@@ -166,10 +158,8 @@
  ${misc:Depends},
  ${shlibs:Depends}
 Breaks:
- fontforge (<= 0.0.20090224),
  libgdraw4
 Replaces:
- fontforge (<= 0.0.20090224),
  libgdraw4
 Description: font editor - runtime graphics and widget library
  FontForge is a font editor.
@@ -210,3 +200,16 @@
  and many other formats.
  .
  This package contains the debugging symbols for fontforge.
+
+Package: fontforge-doc
+Section: doc
+Architecture: all
+Priority: optional
+Depends: ${misc:Depends}
+Description: documentation for fontforge
+ FontForge is a font editor.
+ Use it to create, edit and convert fonts
+ in OpenType, TrueType, UFO, CID-keyed, Multiple Master,
+ and many other formats.
+ .
+ This package contains the documentation for fontforge.
